#debuginfo not supported with Go
%global debug_package %{nil}
# modifying the Go binaries breaks the DWARF debugging
%global __os_install_post %{_rpmconfigdir}/brp-compress

%global gopath      %{_datadir}/gocode
%global import_path github.com/operator-framework/operator-registry

%global golang_version 1.18

%{!?commit:%global commit b080d080c494e20caecc035ebd14177a2e8e7a58}

Name:           operator-registry
Version:        1.23.0
Release:        1%{dist}
Summary:        Operator Registry
License:        ASL 2.0
URL:            https://%{import_path}

Source0:        https://github.com/operator-framework/operator-registry/archive/%{commit}/operator-registry-%{commit}.tar.gz

ExclusiveArch:  %{go_arches}

BuildRequires:  golang >= %{golang_version}
BuildRequires:  make
BuildRequires:  sqlite-devel

%description
%{summary}

%prep
%setup -q -n operator-registry-%{commit}

%build
%make_build bin/opm OPM_VERSION=%{version} GIT_VERSION=%{version} GIT_COMMIT=%{commit}

%install
install -d %{buildroot}%{_bindir}
install -p -m 755 bin/opm %{buildroot}%{_bindir}/opm

%files
%license LICENSE
%{_bindir}/opm

%changelog
